html {
    box-sizing: border-box;
}

*, *::before, *::after {
    box-sizing: inherit
}

:root {
    --background-color: #363636;
    --section-color: #494446;
    --heading1-color: #dadada;
    --heading2-color: #96fd8d;
    --heading3-color: #f8cf99;
    --section-text-color: #90c4ff;
    --section-link-color: #ffa0a0;
    --footer-link-color: #c9a400;
    --section-hover-color: #ccdad1;
}

body {
    background: var(--background-color);
    font-family: sans-serif;
}

.return-button {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
    padding-left: 0.8rem;
    background: rgb(22, 22, 22);
    border-radius: 4px;
    transition-duration: 300ms;
    width: 226px;
    box-shadow: 2px 2px black;
    font-family: sans-serif;
}

.return-button:hover {
    background: rgb(45, 45, 45);;
    transition-duration: 300ms;
}

.return-button a {
    color: white !important;
    text-decoration: none;
}

.return-button p {
    margin: 0;
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
}

.wrapper {
    width: min(768px, 92%);
    margin: 0 auto;
    padding: 1rem;
    border-radius: 1rem;
}

h1 {
    text-align: center;
    color: var(--heading1-color);
}

h2 {
    color: var(--heading2-color);
}

h3 {
    color: var(--heading3-color);
}

section p {
    color: var(--section-text-color);
}

section {
    background: var(--section-color);
    border: 1px solid gray;
    padding: 1rem;
    margin: 1rem 0;
    border-radius: .5rem;
    text-indent: 0.5em;
    transition-duration: 175ms;
    
}

section a {
    color: var(--section-link-color);
    text-decoration: none;
    transition-duration: 400ms;
    font-size: 1em;
    background: none;
    border-radius: 0;
    border: none;
    padding: 10px;
    font-weight: 250;
    text-align: center;
}

section a:hover {
    transition-duration: 400ms;
    font-size: 1.2em;
    color: black;
    background: var(--section-link-color);
    border-radius: 6px;
    border: solid 2px black;
    padding: 10px;
    font-weight: 500;
}

footer a {
    color: var(--footer-link-color);
    text-decoration: none;
    font-weight: 550;
}

section:hover {
    transition-duration: 175ms;
    border: 2px solid var(--section-hover-color);
}

.resource-links {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: stretch;
    row-gap: 6px;
}

p {
    line-height: 1.8;
}

footer {
    display: flex;
}

footer :first-child {
    margin-right: auto;
}

footer :nth-child(n+2) {
    margin-left: 1rem;
}